Syndai Docs

Delete a custom tool

DELETE
/api/v1/external/coding/tools/{tool_id}

Delete a skill or MCP server from the workspace; 404 for an unknown tool. Requires the coding:tools:write scope.

Authorization

CustomerApiKey
headerAuthorizationBearer <API Key>

Customer API key sent as a bearer token

Path Parameters

tool_id*string
Formatuuid

Query Parameters

customer_id?|null

Response Body

Request fulfilled, nothing follows

Example Request
curl -X DELETE 'https://api.syndai.ai/api/v1/external/coding/tools/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
Empty